//------------------------- CSPConf.h -------------------------

//*************************************************************
//*****       Copyright 2002 - 2005 Micronovae Ltd       *****
//*****                All rights reserved                *****
//*************************************************************

#ifndef _CSPCONF
#define  _CSPCONF

#ifdef _CSP_WINDOWS_

#ifndef CSPAPACHE_DLL_BUILD
#ifdef CSPLIB_DLL_BUILD
#define CSPLIB_CLASS_EXPORT __declspec(dllexport)
#else
#define CSPLIB_CLASS_EXPORT __declspec(dllimport)
#endif
#else
#define CSPLIB_CLASS_EXPORT
#endif


#ifdef CSPOBJ_DLL_BUILD
#define CSPOBJ_CLASS_EXPORT __declspec(dllexport)
#else
#define CSPOBJ_CLASS_EXPORT __declspec(dllimport)
#endif

#ifdef CSPODBC_DLL_BUILD
#define CSPODBC_CLASS_EXPORT __declspec(dllexport)
#else
#define CSPODBC_CLASS_EXPORT __declspec(dllimport)
#endif

#ifdef CSPTOOLS_DLL_BUILD
#define CSPTOOLS_CLASS_EXPORT __declspec(dllexport)
#else
#define CSPTOOLS_CLASS_EXPORT __declspec(dllimport)
#endif

#ifdef CSPDBFORM_DLL_BUILD
#define CSPDBFORM_CLASS_EXPORT __declspec(dllexport)
#else
#define CSPDBFORM_CLASS_EXPORT __declspec(dllimport)
#endif

#ifdef _BCC_
#define _ultoa ultoa
#define _itoa itoa
#endif

#define _WINSOCKAPI_
#include <winsock2.h>
#include <windows.h>

#endif //#ifdef _CSP_WINDOWS_

#ifdef _CSP_LINUX_

#define CSPLIB_CLASS_EXPORT
#define CSPOBJ_CLASS_EXPORT
#define CSPODBC_CLASS_EXPORT
#define CSPTOOLS_CLASS_EXPORT
#define CSPDBFORM_CLASS_EXPORT

#define __int64 long long
#define __stdcall
#define WINAPI

#define FALSE 0
#define TRUE 1

typedef unsigned long DWORD;
typedef void* LPVOID;
typedef void* PVOID;
typedef char CHAR;
typedef char* LPSTR;
typedef const char* LPCSTR;
typedef wchar_t * LPWSTR;
typedef unsigned char* LPBYTE;
typedef int BOOL;
typedef unsigned long* LPDWORD;
typedef void VOID;
typedef void* HANDLE;
typedef void* HINSTANCE;
typedef void* HMODULE;

#define FILETIME timespec

#define PASCAL 
#define MAX_PATH 254

#define _gcvt gcvt

#include <stdlib.h>
#include <errno.h>
#include <string.h>
#include <sys/stat.h>

#endif //#ifdef _CSP_LINUX_

#ifndef DEFAULT_EXCEPTION_MODE
#define DEFAULT_EXCEPTION_MODE true
#endif

#ifdef _CSP_LINUX_
#define CSP_SLASH '/'
#define CSP_SLASH_STRING "/"
#endif

#ifdef _CSP_WINDOWS_
#define CSP_SLASH '\\'
#define CSP_SLASH_STRING "\\"
#endif

#endif
